Webhooks
Criar endpoint de webhook
Cria um novo endpoint com URL e eventos. Um secret HMAC-SHA256 é gerado automaticamente e retornado **apenas na criação**.
Cria um novo endpoint com URL e eventos. Um secret HMAC-SHA256 é gerado automaticamente e retornado **apenas na criação**.
basicAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://example.com/v1/postbacks/endpoints" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "charge.pending" ] }'URL do endpoint que receberá as notificações
Eventos que este endpoint deve receber
application/json
Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
{
"success": true,
"message": "string",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "http://example.com",
"secret": "string",
"events": [
"string"
],
"status": "active",
"created_at": "2019-08-24T14:15:22Z"
}
}{
"success": false,
"message": "string",
"error": "string"
}{
"success": false,
"message": "string",
"error": "string"
}